import React from "react";
import { RootContainer } from "../../components/common/Container/RootContainer";
import AccessControl from "../../components/auth/AccessControl";
import { UserDetailsContainer } from "./UserDetailsContainer";
import { useParams } from "react-router-dom";

export function UserDetailsAccessControl() {
  const { userName } = useParams();
  return (
    <RootContainer>
      <AccessControl allowedRoles={[]}>
        <UserDetailsContainer userName={userName} />
      </AccessControl>
    </RootContainer>
  );
}
